---
title: llarp::NodeDB::Entry

---

# llarp::NodeDB::Entry





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[Entry](Classes/structllarp_1_1NodeDB_1_1Entry.md#function-entry)**([RouterContact](Classes/structllarp_1_1RouterContact.md) rc) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| const [RouterContact](Classes/structllarp_1_1RouterContact.md) | **[rc](Classes/structllarp_1_1NodeDB_1_1Entry.md#variable-rc)**  |
| llarp_time_t | **[insertedAt](Classes/structllarp_1_1NodeDB_1_1Entry.md#variable-insertedat)**  |

## Public Functions Documentation

### function Entry

```cpp
explicit Entry(
    RouterContact rc
)
```


## Public Attributes Documentation

### variable rc

```cpp
const RouterContact rc;
```


### variable insertedAt

```cpp
llarp_time_t insertedAt;
```


-------------------------------

Updated on 2023-01-26 at 19:35:17 +0000